Overview | Modules | Class Hierarchy | Classes | Members

# tlp::ColorProperty Class Reference
[Properties]

`#include <ColorProperty.h>`

Inherits tlp::AbstractProperty< Tnode, Tedge, TPROPERTY >< ColorType, ColorType, ColorAlgorithm >.

Inheritance diagram for tlp::ColorProperty:

[legend]
Collaboration diagram for tlp::ColorProperty:

[legend]
List of all members.

## Public Member Functions

- ColorProperty (Graph *g, std::string n="")
- PropertyInterface * clonePrototype (Graph *, const std::string &)

## Friends

- class ColorAlgorithm

## Constructor & Destructor Documentation

tlp::ColorProperty::ColorProperty | ( | Graph * | g,
|  | std::string | n = `""`
| ) | `[inline]`

## Member Function Documentation

PropertyInterface* tlp::ColorProperty::clonePrototype | ( | Graph * | ,
|  | const std::string & |
| ) | `[virtual]`

| Create an object of the same real type of the current property, in the the graph (first parameter) with the name (second parameter). Values are not copied. Implements tlp::PropertyInterface.

## Friends And Related Function Documentation

friend class ColorAlgorithm `[friend]`

Tulip Software by LaBRI Visualization Team 2001 - 2010